Skip to main content
`Ctrl`+`K`

# DMShellSetLocalToGlobalVecScatter

Sets a`VecScatter` context for local to global communication

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetLocalToGlobalVecScatter(DM dm, VecScatter ltog)

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- ltog - the local to global `VecScatter` context

## See Also

`DM`, `DMSHELL`, `DMShellSetLocalToGlobal()`, `DMLocalToGlobalBeginDefaultShell()`, `DMLocalToGlobalEndDefaultShell()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages